Nagios plugin to check slapd schema
===================================

This script could be used as Nagios check plugin to check schema compliance of the contents of a slapd database.

This script use *slapschema* utility to do this check.

Installation
------------

```
git clone https://gogs.zionetrix.net/bn8/check_slapd_schema.git /usr/local/src/check_slapd_schema
mkdir -p /usr/local/lib/nagios/plugins
ln -s /usr/local/src/check_slapd_schema/check_slapd_schema /usr/local/lib/nagios/plugins/
echo "nagios ALL=NOPASSWD: /usr/local/lib/nagios/plugins/check_slapd_schema" > /etc/sudoers.d/nagios-slapd-schema
chmod 0400 /etc/sudoers.d/nagios-slapd-schema
echo "command[check_slapd_schema]=sudo /usr/local/lib/nagios/plugins/check_slapd_schema" > /etc/nagios/nrpe.d/ldap-schema.cfg
service nagios-nrpe-server reload
```

Usage
-----

```
Usage : check_slapd_schema [-d] [-h] [options]
	-u			Sudo as specified user to run slapschema
	-s			Path to slapschema (Default : auto-detected)
	-n			Slapd database ID (Default : auto-detected)
	-b			Slapd database base DN (Default : auto-detected)
	-d			Debug mode
	-h 			Show this message
```

Copyright
---------

Copyright (c) 2019 Benjamin Renard

License
-------

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3
as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

